<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/style.css}">
    <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}">
    </script>
</head>
<body>
<div class="container shadow-lg p-3 mb-5 bg-white rounded ">
    <div th:insert="~{fragments/fragments::navbar(4)}">No navbar</div>
    <h3 th:utext="#{user.add}" style="text-align: center">Add a User</h3>
    <form method="post" action="/addingUser" th:object="${formData}">

        <div th:if="${#fields.hasAnyErrors()}" class="alert alert-danger">
            <p>The form contained errors!</p>
        </div>


        <div class="form-group">
            <label th:utext="#{user.name}" >name</label>
            <input th:class="${#fields.hasErrors('name')}? 'is-invalid form-control':'form-control'" type="text" th:field="*{name}" /><br/>
            <div class="invalid-feedback" th:if="${#fields.hasErrors('name')}"
                 th:text="${#fields.errors('name')}"></div>
            <br/>
        </div>
        <div class="form-group">
            <label th:utext="#{user.birth}">Birth date</label>
            <input th:class="${#fields.hasErrors('dateOfBirth')}? 'is-invalid form-control':'form-control'" type="date" name="dateOfBirth" th:field="*{dateOfBirth}"><br>
            <div class="invalid-feedback" th:if="${#fields.hasErrors('dateOfBirth')}"
                 th:text="${#fields.errors('dateOfBirth')}"></div>
        </div>

        <div class="form-group">
            <label th:utext="#{user.address}" >Address</label>

            <input th:class="${#fields.hasErrors('address')}? 'is-invalid form-control':'form-control'" type="text" th:field="*{address}" /><br/>
            <div class="invalid-feedback" th:if="${#fields.hasErrors('address')}"
                 th:text="${#fields.errors('address')}"></div>
        </div>
        <div class="row justify-content-center">
            <button class="btn btn-primary btn-lg btn-block" type="submit">Submit</button>
        </div>
    </form>
    <div th:insert="~{fragments/fragments::footer}">No footer</div>
</div>
</body>
</html>